const express = require("express");
const app = express();
const port = 3000;
const { client } = require("../clients/twitch.js");
const path = __dirname + "/front/dist/";

app.use(express.static(path));

app.get("/api/v1/commands", (req, res) => {
  res.json(client.commands);
});

app.get("/api/v1/commands/:name", (req, res) => {
  res.json(client.commands[req.params.name]);
});

app.get("*", (req, res) => {
  res.sendFile(path + "index.html");
});

app.listen(port, () => {
  console.log(`Front end listening on port ${port}`);
});
